Subscription Meta

Returns subscription cancellation reasons, which are configured in the Punchh platform under Wallet and Passes > Subscription Cancellation Reasons.

Note: If the option to enable meta cache update on request is not enabled in the Punchh platform, then the API won't return any subscription cancellation reasons in the Subscription Meta API response.

Contact your Punchh representative to update this configuration.

Headers
  • Accept
    Type: string
    required

    Advertises which content types the client is able to understand

  • Accept-Language
    Type: string

    Preferred language. Punchh supports multiple languages for the subscription plan name, description, and miscellaneous parameters in the API response as per the locale specified in the Accept-Language request header. Possible values: es for Spanish, fr for French, fr-ca for French-Canada, en-CY for English-Cyprus, ro for Romania, es-US for Spanish United States, etc. The locales for a business are configured in the Punchh platform under Administration > Business Profile > Address > Alternate Languages. Administrators have to configure Name, Description, and Miscellaneous fields in the relevant language(s) on the subscription plan in the Punchh platform under Wallet and Passes > Subscription Plans. If these fields are not configured in Punchh in the language specified in the Accept-Language request header, then the API response will include the subscription plan name, description, and miscellaneous parameters with empty values.

  • Content-Type
    Type: string
    required

    Set this header to application/json

  • x-pch-digest
    Type: string
    required

    Signature generated using the request path, body, and OAuth secret provided by the business

Body
application/json
  • client
    Type: string
    required

    OAuth client ID provided by the business

Responses
  • application/json
  • application/json
Request Example for get/api/auth/subscription_meta
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/subscription_meta \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Content-Type: application/json' \
  --header 'x-pch-digest: ' \
  --data '{
  " client": "CLIENT_GOES_HERE"
}'
{
  "enable_cancellation_feedback": false,
  "cancellation_feedback_placeholder": "Test",
  "subscription_cancellation_reasons": [
    {
      "cancellation_reason_id": 1,
      "cancellation_reason": "Overvalued for me.",
      "component_code": "price"
    },
    {
      "cancellation_reason_id": 2,
      "cancellation_reason": "Service not up to the mark.",
      "component_code": "service"
    },
    {
      "cancellation_reason_id": 3,
      "cancellation_reason": "Switching to other plan.",
      "component_code": "other plan"
    }
  ]
}